Package org.eclipse.emf.cdo.common.branch

## Interface CDOBranchManager.CDOTagList

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<CDOBranchTag>`, `org.eclipse.net4j.util.event.INotifier`
  Enclosing interface:
    CDOBranchManager

      public static interface CDOBranchManager.CDOTagList
      extends org.eclipse.net4j.util.container.IContainer<CDOBranchTag>

  Since:
    4.11
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOBranchManager.CDOTagList.TagListEvent` |
    `static interface` | `CDOBranchManager.CDOTagList.TagMovedEvent` |
    `static interface` | `CDOBranchManager.CDOTagList.TagRenamedEvent` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranchManager` | `getBranchManager()` | Returns the `branch manager` that manages this `tag list`, never `null`.
    `CDOBranchTag[]` | `getTags()` |
    `CDOBranchTag[]` | `getTags​(CDOBranch branch)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getBranchManager

          CDOBranchManager getBranchManager()

      Returns the `branch manager` that manages this `tag list`, never `null`.

    - #### getTags

          CDOBranchTag[] getTags()

    - #### getTags

          CDOBranchTag[] getTags​(CDOBranch branch)